
package ru.potapov.tm.endpoint;

import javax.xml.ws.WebFault;


/**
 * This class was generated by Apache CXF 3.2.7
 * 2019-11-25T17:03:53.476+03:00
 * Generated source version: 3.2.7
 */

@WebFault(name = "ValidateExeption", targetNamespace = "http://endpoint.tm.potapov.ru/")
public class ValidateExeption_Exception extends java.lang.Exception {

    private ru.potapov.tm.endpoint.ValidateExeption validateExeption;

    public ValidateExeption_Exception() {
        super();
    }

    public ValidateExeption_Exception(String message) {
        super(message);
    }

    public ValidateExeption_Exception(String message, java.lang.Throwable cause) {
        super(message, cause);
    }

    public ValidateExeption_Exception(String message, ru.potapov.tm.endpoint.ValidateExeption validateExeption) {
        super(message);
        this.validateExeption = validateExeption;
    }

    public ValidateExeption_Exception(String message, ru.potapov.tm.endpoint.ValidateExeption validateExeption, java.lang.Throwable cause) {
        super(message, cause);
        this.validateExeption = validateExeption;
    }

    public ru.potapov.tm.endpoint.ValidateExeption getFaultInfo() {
        return this.validateExeption;
    }
}
